MyGUI 3.2.2

Public Types | Public Member Functions
MyGUI::delegates::CDelegate1< TP1 > Class Template Reference

`#include <MyGUI_Delegate.h>`

## Public Types
typedef IDelegate1< TP1 > | IDelegate

## Public Member Functions
| CDelegate1 ()
| CDelegate1 (const CDelegate1< TP1 > &_event)
| ~ CDelegate1 ()
bool | empty () const
void | clear ()
CDelegate1< TP1 > & | operator= (IDelegate *_delegate)
CDelegate1< TP1 > & | operator= (const CDelegate1< TP1 > &_event)
void | operator() (TP1 p1)

## Detailed Description

### template<typename TP1>
class MyGUI::delegates::CDelegate1< TP1 >

Definition at line 137 of file MyGUI_Delegate.h.

## Member Typedef Documentation

## ◆ IDelegate

template<typename TP1 >

typedef IDelegate1<TP1> MyGUI::delegates::CDelegate1< TP1 >::IDelegate

Definition at line 140 of file MyGUI_Delegate.h.

## Constructor & Destructor Documentation

## ◆ CDelegate1() [1/2]

template<typename TP1 >

MyGUI::delegates::CDelegate1< TP1 >::CDelegate1 | ( |  | ) |
| inline

Definition at line 142 of file MyGUI_Delegate.h.

## ◆ CDelegate1() [2/2]

template<typename TP1 >

MyGUI::delegates::CDelegate1< TP1 >::CDelegate1 | ( | const CDelegate1< TP1 > & | _event | ) |
| inline

Definition at line 143 of file MyGUI_Delegate.h.

## ◆ ~ CDelegate1()

template<typename TP1 >

MyGUI::delegates::CDelegate1< TP1 >::~ CDelegate1 | ( |  | ) |
| inline

Definition at line 150 of file MyGUI_Delegate.h.

## Member Function Documentation

## ◆ clear()

template<typename TP1 >

void MyGUI::delegates::CDelegate1< TP1 >::clear | ( |  | ) |
| inline

Definition at line 160 of file MyGUI_Delegate.h.

## ◆ empty()

template<typename TP1 >

bool MyGUI::delegates::CDelegate1< TP1 >::empty | ( |  | ) | const
| inline

Definition at line 155 of file MyGUI_Delegate.h.

## ◆ operator()()

template<typename TP1 >

void MyGUI::delegates::CDelegate1< TP1 >::operator() | ( | TP1 | p1 | ) |
| inline

Definition at line 190 of file MyGUI_Delegate.h.

## ◆ operator=() [1/2]

template<typename TP1 >

CDelegate1<TP1>& MyGUI::delegates::CDelegate1< TP1 >::operator= | ( | IDelegate * | _delegate | ) |
| inline

Definition at line 166 of file MyGUI_Delegate.h.

## ◆ operator=() [2/2]

template<typename TP1 >

CDelegate1<TP1>& MyGUI::delegates::CDelegate1< TP1 >::operator= | ( | const CDelegate1< TP1 > & | _event | ) |
| inline

Definition at line 173 of file MyGUI_Delegate.h.

The documentation for this class was generated from the following file:

- MyGUI_Delegate.h